summaryrefslogtreecommitdiffstats
path: root/tests/shell/testcases/bitwise/0040mark_binop_2
diff options
context:
space:
mode:
Diffstat (limited to 'tests/shell/testcases/bitwise/0040mark_binop_2')
-rwxr-xr-xtests/shell/testcases/bitwise/0040mark_binop_213
1 files changed, 13 insertions, 0 deletions
diff --git a/tests/shell/testcases/bitwise/0040mark_binop_2 b/tests/shell/testcases/bitwise/0040mark_binop_2
new file mode 100755
index 00000000..5e66a27a
--- /dev/null
+++ b/tests/shell/testcases/bitwise/0040mark_binop_2
@@ -0,0 +1,13 @@
+#!/bin/bash
+
+# NFT_TEST_REQUIRES(NFT_TEST_HAVE_bitshift)
+
+set -e
+
+RULESET="
+ add table t
+ add chain t c { type filter hook output priority filter; }
+ add rule t c ct mark set ip dscp lshift 2 or 0x10
+"
+
+$NFT -f - <<< "$RULESET"